Last Comment Bug 714332 - Fix uint64 types usage in dom/workers and dom/base
: Fix uint64 types usage in dom/workers and dom/base
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: DOM (show other bugs)
: Trunk
: x86 OpenBSD
: -- normal (vote)
: mozilla12
Assigned To: Landry Breuil (:gaston)
:
:
Mentors:
Depends on: 634793
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-30 11:48 PST by Landry Breuil (:gaston)
Modified: 2012-05-19 01:34 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Fix uint64 types breakage on OpenBSD (3.19 KB, patch)
2011-12-30 11:50 PST, Landry Breuil (:gaston)
no flags Details | Diff | Splinter Review
Fix uint64 types breakage on OpenBSD (3.23 KB, patch)
2011-12-30 12:02 PST, Landry Breuil (:gaston)
bent.mozilla: review+
Details | Diff | Splinter Review

Description Landry Breuil (:gaston) 2011-12-30 11:48:07 PST
Right now, m-c fails to build in dom/workers/WorkerPrivate.cpp :

dom/workers/WorkerPrivate.cpp:822: error: no matching function for call to 'JSAutoStructuredCloneBuffer::steal(uint64**, size_t*)'
../../dist/include/jsapi.h:4641: note: candidates are: void
JSAutoStructuredCloneBuffer::steal(uint64_t**, size_t*, uint32_t*) <near match>
dom/workers/WorkerPrivate.cpp:833: error: no matching function for call to 'JSAutoStructuredCloneBuffer::adopt(uint64*&, size_t&)'
../../dist/include/jsapi.h:4634: note: candidates are: void
JSAutoStructuredCloneBuffer::adopt(uint64_t*, size_t, uint32_t) <near match>
dom/workers/WorkerPrivate.cpp:853: error: no matching function for call to 'JSAutoStructuredCloneBuffer::steal(uint64**, size_t*)'
../../dist/include/jsapi.h:4641: note: candidates are: void
JSAutoStructuredCloneBuffer::steal(uint64_t**, size_t*, uint32_t*) <near match>

using uint64_t* instead of uint64* for mData in class MessageEventRunnable fixes it.

It also fails in dom/base/nsStructuredCloneContainer.cpp :
dom/base/nsStructuredCloneContainer.cpp:96: error: invalid conversion from 'PRUint64*' to 'uint64_t*'
dom/base/nsStructuredCloneContainer.cpp:131: error: invalid conversion from 'PRUint64*' to 'uint64_t*

casting to uint64_t* instead of PRuint64* for both mallocs fixes it.
Comment 1 Landry Breuil (:gaston) 2011-12-30 11:50:38 PST
Created attachment 585008 [details] [diff] [review]
Fix uint64 types breakage on OpenBSD

Forgot to add this is a fallowup of #649537 & #551225, last bugs touching that part of code, and i"ve pushed the proposed patch to https://tbpl.mozilla.org/?tree=Try&rev=53b50fdbc98a
Comment 2 Landry Breuil (:gaston) 2011-12-30 12:02:58 PST
Created attachment 585015 [details] [diff] [review]
Fix uint64 types breakage on OpenBSD

Doh, i had a typo in patch (uint64_t vs uint64_t*), new patch & new tbpl push : https://tbpl.mozilla.org/?tree=Try&rev=8c00dd5daf8e
Comment 3 Landry Breuil (:gaston) 2011-12-30 23:14:26 PST
Some tests failed for strange reasons i can't explain, but all builds were fine with that patch.
Comment 4 :Ms2ger (⌚ UTC+1/+2) 2012-01-02 10:08:26 PST
It's in my queue.
Comment 5 :Ms2ger (⌚ UTC+1/+2) 2012-01-03 04:00:59 PST
https://hg.mozilla.org/mozilla-central/rev/50116672ff05

Note You need to log in before you can comment on or make changes to this bug.